CREATE TABLE CaroLineUser (id BIGINT NOT NULL, active BIT, firstName VARCHAR(50), lastName VARCHAR(50), loginHash VARCHAR(40), loginId VARCHAR(20), DTYPE INTEGER, optlock INTEGER, PRIMARY KEY (id), UNIQUE U_CRLNUSR_LOGINID (loginId)) ENGINE = innodb;
CREATE TABLE Customer (id BIGINT NOT NULL, carType VARCHAR(20), carVendor VARCHAR(20), email VARCHAR(255), PRIMARY KEY (id)) ENGINE = innodb;
CREATE TABLE Customer_Tyre (CUSTOMER_ID BIGINT, MOUNTEDTYRES_ID BIGINT) ENGINE = innodb;
CREATE TABLE Employee (id BIGINT NOT NULL, isAdmin BIT, PRIMARY KEY (id)) ENGINE = innodb;
CREATE TABLE MenuItem (id BIGINT NOT NULL, action VARCHAR(255), level INTEGER, ordinal INTEGER, resourceKey VARCHAR(20), roles VARCHAR(255), optlock INTEGER, PARENT_ID BIGINT, PRIMARY KEY (id)) ENGINE = innodb;
CREATE TABLE SEQUENCES (ID VARCHAR(255) NOT NULL, SEQUENCE_VALUE BIGINT, PRIMARY KEY (ID)) ENGINE = innodb;
CREATE TABLE StorageSlot (id BIGINT NOT NULL, slotNumber VARCHAR(10) NOT NULL, optlock INTEGER, CUSTOMER_ID BIGINT, WAREHOUSE_ID BIGINT, PRIMARY KEY (id)) ENGINE = innodb;
CREATE TABLE StorageSlot_Tyre (STORAGESLOT_ID BIGINT, STOREDTYRES_ID BIGINT) ENGINE = innodb;
CREATE TABLE Tyre (id BIGINT NOT NULL, prodMonth INTEGER, prodYear INTEGER, profileHeigth INTEGER, speedRating VARCHAR(20), treadWidth INTEGER, USAGE0 VARCHAR(20), vendor VARCHAR(20), wheelDiameter INTEGER, optlock INTEGER, PRIMARY KEY (id)) ENGINE = innodb;
CREATE TABLE TyreChange (id BIGINT NOT NULL, dueDate DATETIME, workDone BIT, optlock INTEGER, CUSTOMER_ID BIGINT, EXECUTEDBY_ID BIGINT, RESERVEDBY_ID BIGINT, PRIMARY KEY (id)) ENGINE = innodb;
CREATE TABLE Warehouse (id BIGINT NOT NULL, maxCapacity INTEGER, name VARCHAR(50), optlock INTEGER, PRIMARY KEY (id)) ENGINE = innodb;
CREATE INDEX I_CRLNUSR_DTYPE ON CaroLineUser (DTYPE);
ALTER TABLE Customer ADD FOREIGN KEY (id) REFERENCES CaroLineUser (id);
ALTER TABLE Customer_Tyre ADD FOREIGN KEY (CUSTOMER_ID) REFERENCES Customer (id);
ALTER TABLE Customer_Tyre ADD FOREIGN KEY (MOUNTEDTYRES_ID) REFERENCES Tyre (id);
ALTER TABLE Employee ADD FOREIGN KEY (id) REFERENCES CaroLineUser (id);
ALTER TABLE MenuItem ADD FOREIGN KEY (PARENT_ID) REFERENCES MenuItem (id);
ALTER TABLE StorageSlot ADD FOREIGN KEY (CUSTOMER_ID) REFERENCES Customer (id);
ALTER TABLE StorageSlot ADD FOREIGN KEY (WAREHOUSE_ID) REFERENCES Warehouse (id);
ALTER TABLE StorageSlot_Tyre ADD FOREIGN KEY (STORAGESLOT_ID) REFERENCES StorageSlot (id);
ALTER TABLE StorageSlot_Tyre ADD FOREIGN KEY (STOREDTYRES_ID) REFERENCES Tyre (id);
ALTER TABLE TyreChange ADD FOREIGN KEY (CUSTOMER_ID) REFERENCES Customer (id);
ALTER TABLE TyreChange ADD FOREIGN KEY (EXECUTEDBY_ID) REFERENCES Employee (id);
ALTER TABLE TyreChange ADD FOREIGN KEY (RESERVEDBY_ID) REFERENCES Employee (id);
